FROM debian:jessie

# FROM https://github.com/ZHAJOR/Docker-Apache-2.4-Php-5.6-for-Laravel
MAINTAINER Robin Thoni <robin@rthoni.com>


RUN apt-get update && apt-get -y install\
        apache2=2.4.*\
        libapache2-mod-php5\
        php5\
        php5-mcrypt\
        php5-pgsql\
        php5-mysql\
        php5-gd\
        php5-curl\
        php5-intl\
        php5-ldap\
        php5-imap &&\
        apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/* &&\
        /usr/sbin/a2enmod rewrite &&\
        rm -rf /var/www/html &&\
        mkdir -p /var/lock/apache2 /var/run/apache2 /var/log/apache2 /var/www/html &&\
        chown -R www-data:www-data /var/lock/apache2 /var/run/apache2 /var/log/apache2 /var/www/html &&\
        ln -sf /dev/stderr /var/log/apache2/error.log &&\
        ln -sf /dev/stdout /var/log/apache2/access.log

COPY ./apache2.conf /etc/apache2/apache2.conf

COPY run.sh /run.sh

EXPOSE 80

COPY ./roundcubemail-1.2.2/ /var/www/html/

CMD ["/run.sh"]
